
import './button.scss';

declare const RF;

@RF.decorateComponent({
    name: 'app-button',
    template: require('./button.html')
})
export class ButtonComponent{
    text:string = '';
    onClick:Function = ()=>{};
    arg:any = null;

    onClicked(){
        this.onClick(this.arg);
    }

}